import { jsx as _jsx } from "@stencil/core/jsx-runtime";
import { Host } from "@stencil/core";
export class Radio {
    host;
    // MARK: Props
    // MARK: Render
    render() {
        return (_jsx(Host, { children: _jsx("div", { class: "dds-radio", children: _jsx("slot", {}, '229f3398886ef8518bce15b598fbe7610f7bcc80') }, 'f3f0cae757d3570eebc306683865ceaaa9e5e99a') }, 'f422440359e59cd45a9e2da177cdd1a5a0c3c8b7'));
    }
    static get is() { return "dds-radio"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["radio.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["radio.css"]
        };
    }
    static get elementRef() { return "host"; }
}
